Index: conv/raw/Bot.cpp
===================================================================
--- conv/raw/Bot.cpp	(revision 54067)
+++ conv/raw/Bot.cpp	(working copy)
@@ -50,9 +50,9 @@
 
     // search for duplicate vertex
     for(size_t i = 0; i < (m_vertices.size() / 3); ++i) {
-	if (NEAR_ZERO(m_vertices[i * 3] - point[X], SMALL_FASTF) &&
-	    NEAR_ZERO(m_vertices[i * 3 + 1] - point[Y], SMALL_FASTF) &&
-	    NEAR_ZERO(m_vertices[i * 3 + 2] - point[Z], SMALL_FASTF)) {
+	if (EQUAL(m_vertices[i * 3], point[X]) &&
+	    EQUAL(m_vertices[i * 3 + 1], point[Y]) &&
+	    EQUAL(m_vertices[i * 3 + 2], point[Z])) {
 	    ret = i;
 	    break;
 	}
Index: libbu/color.c
===================================================================
--- libbu/color.c	(revision 54067)
+++ libbu/color.c	(working copy)
@@ -97,11 +97,11 @@
     if (NEAR_ZERO(*sat, SMALL_FASTF)) {
 	*hue = ACHROMATIC;
     } else {
-	if (NEAR_ZERO(red - max, SMALL_FASTF)) /* red == max */
+	if (EQUAL(red, max))
 	    *hue = (grn - blu) / delta;
-	else if (NEAR_ZERO(grn - max, SMALL_FASTF)) /* grn == max */
+	else if (EQUAL(grn, max))
 	    *hue = 2.0 + (blu - red) / delta;
-	else if (NEAR_ZERO(blu - max, SMALL_FASTF)) /* blu == max */
+	else if (EQUAL(blu, max))
 	    *hue = 4.0 + (red - grn) / delta;
 
 	/*
@@ -126,10 +126,10 @@
     sat = hsv[SAT];
     val = hsv[VAL];
 
-    if ((((hue < 0.0) || (hue > 360.0)) && (!NEAR_ZERO(hue - ACHROMATIC, SMALL_FASTF))) /* hue != ACHROMATIC */
+    if ((((hue < 0.0) || (hue > 360.0)) && (!EQUAL(hue, ACHROMATIC)))
 	|| (sat < 0.0) || (sat > 1.0)
 	|| (val < 0.0) || (val > 1.0)
-	|| ((NEAR_ZERO(hue - ACHROMATIC, SMALL_FASTF)) && (sat > 0.0))) /* hue == ACHROMATIC */
+	|| ((EQUAL(hue, ACHROMATIC)) && (sat > 0.0)))
     {
 	bu_log("bu_hsv_to_rgb: Illegal HSV (%g, %g, %g)\n",
 	       V3ARGS(hsv));
@@ -140,7 +140,7 @@
     if (NEAR_ZERO(sat, SMALL_FASTF)) {
 	VSETALL(float_rgb, val);
     } else {
-	if (NEAR_ZERO(hue - 360.0, SMALL_FASTF))
+	if (EQUAL(hue, 360.0))
 	    hue = 0.0;
 	hue /= 60.0;
 	hue_int = floor((double) hue);
Index: librt/primitives/brep/brep.cpp
===================================================================
--- librt/primitives/brep/brep.cpp	(revision 54067)
+++ librt/primitives/brep/brep.cpp	(working copy)
@@ -524,7 +524,7 @@
 
     bool operator==(const brep_hit& h)
     {
-	return NEAR_ZERO(dist - h.dist, BREP_SAME_POINT_TOLERANCE);
+	return NEAR_EQUAL(dist, h.dist, BREP_SAME_POINT_TOLERANCE);
     }
 
     bool operator<(const brep_hit& h)
Index: librt/primitives/nmg/nmg_mk.c
===================================================================
--- librt/primitives/nmg/nmg_mk.c	(revision 54067)
+++ librt/primitives/nmg/nmg_mk.c	(working copy)
@@ -2270,15 +2270,15 @@
      * at least distance tolerance.
      */
     thickening = 0.5 * tol->dist;
-    if (NEAR_ZERO(lg->max_pt[X] - lg->min_pt[X], tol->dist)) {
+    if (NEAR_EQUAL(lg->max_pt[X], lg->min_pt[X], tol->dist)) {
 	lg->min_pt[X] -= thickening;
 	lg->max_pt[X] += thickening;
     }
-    if (NEAR_ZERO(lg->max_pt[Y] - lg->min_pt[Y], tol->dist)) {
+    if (NEAR_EQUAL(lg->max_pt[Y], lg->min_pt[Y], tol->dist)) {
 	lg->min_pt[Y] -= thickening;
 	lg->max_pt[Y] += thickening;
     }
-    if (NEAR_ZERO(lg->max_pt[Z] - lg->min_pt[Z], tol->dist)) {
+    if (NEAR_EQUAL(lg->max_pt[Z], lg->min_pt[Z], tol->dist)) {
 	lg->min_pt[Z] -= thickening;
 	lg->max_pt[Z] += thickening;
     }
Index: librt/primitives/nmg/nmg_inter.c
===================================================================
--- librt/primitives/nmg/nmg_inter.c	(revision 54067)
+++ librt/primitives/nmg/nmg_inter.c	(working copy)
@@ -7765,7 +7765,7 @@
 	     * that the current distance is compared against
 	     */
 	    avg_dist = tot_dist / cnt;
-	    if (NEAR_ZERO(dist - avg_dist, tol->dist)) {
+	    if (NEAR_EQUAL(dist, avg_dist, tol->dist)) {
 	    } else {
 		/* not parallel */
 		parallel = 0;
@@ -7796,7 +7796,7 @@
 		 * that the current distance is compared against
 		 */
 		avg_dist = tot_dist / cnt;
-		if (!NEAR_ZERO(dist - avg_dist, tol->dist)) {
+		if (!NEAR_EQUAL(dist, avg_dist, tol->dist)) {
 		    /* not parallel */
 		    parallel = 0;
 		    break;
Index: librt/primitives/nmg/nmg_tri.c
===================================================================
--- librt/primitives/nmg/nmg_tri.c	(revision 54067)
+++ librt/primitives/nmg/nmg_tri.c	(working copy)
@@ -4181,7 +4181,7 @@
 	} /* end of while-loop */
 
 	if (hit_cnt != 0) {
-	    if (NEAR_ZERO((hit_cnt/2.0) - floor(hit_cnt/2.0), SMALL_FASTF)) {
+	    if (EQUAL((hit_cnt/2.0), floor(hit_cnt/2.0))) {
 		/* true when hit_cnt is even */
 		bu_log("nmg_classify_pt_loop_new(): hit_cnt = %d %f %f EVEN\n",
 			hit_cnt, (hit_cnt/2.0), floor(hit_cnt/2.0));
